Subject: Re: Job | Tech Support Remote Screening
From: Ram Prakash Verma <[email-masked]>
To: [email-masked]
Date: Sat, 16 Jan 2021 17:47:13 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

4477 Applicants

View All

Ram Prakash Verma
I have huge knowledge in digital marketing as Sr. SEO analyst profile in OFF Page and also knowledge in ON Page .I have done more than 200 projects in last 5 years in digital marketing. My last working company name was "DETAILING DEVILS PVT LTD" as a Sr.SEO ANALYST. I am B.tech Holder in (CSE) branch. I have strong knowledge in SEO tools which is most use in digital marketing these are given below: 1. Ahref tool 2. Moz bar tool 3. Semrush tool 4. Alexa tool 5. Keyword planner. 6. Webmaster tool 7. Google analytics tool. And also many more. I have also strong knowledge in SMO parts for any services related projects.

Shortlist

Reject

Current Designation Senior SEO Analyst
Current Company Realty 360 Degree
Notice Period 15 Days or less
Previous Designation Senior SEO Analyst
Previous Company detailing devils pvt ltd

Contact Details
Mobile:

Exp
5 Yrs 3 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: INDIA, Delhi / NCR, Noida
Education
NO PG
Post Graduation Institute Not Mentioned
B.Tech/B.E.
IIMT Engineering College, Meerut
Key Skills
search engine optimization, social media optimization, link building, website analysis, on-page optimization, off-page optimization, Keyword Analysis, Competitor Analysis, Advertisement Classification, Adwords Analyst, Google Analytics, Google Webmaster Tools

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem